/*  NAVIGATION
------------------------------------------------*/
#menu-button{
	display: none;
}

nav.mobile {
	display:none;
}

nav.primary {
	padding:0;
	margin:0;
	width:100%;
	background:#000 url(../siteart/navbg.jpg) top center repeat-x;
	z-index:700; 
	box-shadow: 0px 3px 6px 1px rgba(0,0,0,.75);
}

nav.primary ul {
	width:96%;
	max-width:1400px;
	margin:0 auto;
	padding:0;
	display: flex;
	justify-content: center;
}
nav.primary ul li {
	margin:0;
	paddding:0;
	float:left;
	z-index:999;
	list-style-type:none;	
	display: inline-block;
	vertical-align: middle;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	box-shadow: 0 0 1px rgba(0, 0, 0, 0);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-moz-osx-font-smoothing: grayscale;
	position: relative;
	-webkit-transition-property: color;
	transition-property: color;
	-webkit-transition-duration: 0.3s;
	transition-duration: 0.3s;
	border-left:#6f7272 1px solid;
	border-right:#000 1px solid;
	font-weight: 600;
}

nav.primary ul li:first-child {border-left:none;}
nav.primary ul li:last-child {border-right:none;}
		
nav.primary ul li:hover, nav.primary ul li:focus, nav.primary ul li:active {
  color: #fff;
}
nav.primary ul li:hover:before, nav.primary ul li:focus:before, nav.primary ul li:active:before {
  -webkit-transform: scaleY(1);
  transform: scaleY(1);
}
				
nav.primary ul li a {
    font-family: 'Oswald', sans-serif;
	font-weight: 700;
	display:block;
	color:#fbcb14;
	font-size:18px;
	line-height:18px;
	text-decoration:none;
	padding:10px 1.5vw;
	margin:0;
	text-transform:uppercase;
	-webkit-transition:.3s ease-in;  
	-moz-transition:.3s ease-in;  
	-o-transition:.3s ease-in;  
	transition:.3s ease-in;	
}	

nav.primary ul li a:hover {
	color:#111;
	background: #fbcb14; 

}


/*  SUB NAV
------------------------------------------------*/
nav.primary ul li li a:link, nav.primary ul li li a:visited{
	font-size: 14px;
	line-height:14px;	
	
	color:#fff;
	background: #262626;
	width: 210px;
	
	border-right:none;
	border-left:none;
	border-bottom: #fff solid 1px;
}

nav.primary ul li li a:hover,nav.primary ul li li a:active {
	background:#fbcb14;
	color:#111;
}

nav.primary ul li li {
	border-right:none;
	border-left:none;
}
/*  OPTIONAL SUB-LEVEL LINKS
------------------------------------------------*/
nav.primary ul li li:last-child  {
}

nav.primary ul li li:last-child a {
	border-bottom:none;
}


/*  NAV DROPDOWNS
------------------------------------------------*/
nav.primary ul ul {
    display: none;
    position: absolute; 
}
  
nav.primary ul ul ul {
    position: absolute; 
    left: 100%;
    top:0; 
}
  
nav.primary ul li:hover > ul {  
    display: block;
    line-height:18px; 
    z-index: 500;
}
  
nav.primary ul ul li {
    float: none; 
    position: relative;
    margin:0;
}



/*===================== 
	Responsive styles 
=======================*/
@media screen and (max-width: 1340px) {
nav.primary ul li a {font-size:16px}	
}
@media screen and (max-width: 900px) {
	nav.primary{display:none;}
	
	#menu-button{ /* initially will need to be hidden */
		display: block;
		font-size: 28px;
		position: relative;
		z-index: 400;/* needs to be lower than nav.mobile, adjust as needed */
		padding:5px 0;
		background: #3f3f3f;
		width:100%;
	}
	#menu-button a{
		color:#fff;
		text-decoration: none;
		padding:0 0 0 .8em;
	}
	nav.mobile {
		display:block;
		position: fixed;
		top: 0;
		left: -250px;
		width: 250px;
		height: 100%;
		background: #333;
		font-family: 'Oswald', sans-serif;
		font-weight: 700;
		z-index: 500; /* needs to be higher than #menu-button, adjust as needed */
		overflow:auto;
	}
	nav.mobile h3 { /* Menu header styles */
		position: relative;
		padding: 12px 10px;
		color: #fff;
		font-size: 1.2em;
		font-weight: 400;
		border-bottom: 4px solid #222;
	}
	nav.mobile .menu-toggle { /* Menu close button */
		position: absolute;
		top: -40px;
		right: 10px;
		display: inline-block;
		padding: 6px 9px 5px;
		font-family: Arial, sans-serif;
		font-weight: bold;
		line-height: 1;
		background: #222;
		color: #999;
		text-decoration: none;
		vertical-align: top;
	}
	nav.mobile .menu-toggle:hover {color: #fff;}
	nav.mobile ul {
		list-style: none;
		font-weight: 300;
		border-top: 1px solid #151515;
		border-bottom: 1px solid #454545;
		margin:0;
		padding:0;
	}
	nav.mobile ul li {
		border-top: 1px solid #454545;
		border-bottom: 1px solid #151515;
		position: relative;
	}
	nav.mobile ul li a {
		position: relative;
		display: block;
		padding: 15px 0px 15px 20px;
		color: #999;
		font-size:16px;
		text-decoration: none;
		border-left: 4px solid transparent;
		box-sizing: border-box;
	}
	nav.mobile ul li a:hover {background: #000; color: #fff; border-left: 4px solid #fbcb14;}
	
	nav.mobile ul li li a {padding: 15px 30px; border-left: none;}
	nav.mobile ul li li li a {padding: 15px 40px; border-left: none;}
	nav.mobile ul li li a:hover, nav.mobile ul li li li a:hover {border-left: none;}
	
	nav.mobile ul li span{/* dropdown menu idicator arrow be sure to include this image with your image files */ 
		background:url(../siteart/arrow.png) 12px 12px no-repeat;
		background-size:40%;
		position:absolute;
		right: 0;
		top: 0;
		display:block;
		cursor:pointer;
		z-index: 12399994;
		width:44px;
		height:44px;
		transition:background-size .3s ease-in-out;
	}	
	nav.mobile ul li .click{
		position:relative;
		display:block;
		cursor:pointer;
		z-index: 12399994;
		width:100%;
	}
	nav.mobile ul li .click:hover{background-size:45%;}
	
	nav.mobile .mobile_top {
	position: relative;
	display:block;
	padding: 0;
	margin:50px 0 10px 0;
	color: #999;
	font-size: 18px;
	font-weight: 400;
}
	
	nav.mobile .mobile_top a .fab, nav.mobile .mobile_top a .fas {
		color: #fff!important;
		font-size: 24px;
		margin-left: 10px;
		margin-top: 10px;
		-webkit-transition: all .3s ease-in-out;
		-moz-transition: all .3s ease-in-out;
		-ms-transition: all .3s ease-in-out;
		-o-transition: all .3s ease-in-out;
		transition: all.3s ease-in-out;
	}
	nav.mobile .mobile_top a:hover .fab, nav.mobile .mobile_top a:hover .fas {
		color: #c0c0c0!important;
	}
}

